Skip to main content
`Ctrl`+`K`

# pandas.DataFrame.backfill

DataFrame.backfill(*, axis=None, inplace=False, limit=None, downcast=<no_default>)

  Fill NA/NaN values by using the next valid observation to fill the gap.

  Deprecated since version 2.0: Series/DataFrame.backfill is deprecated. Use Series/DataFrame.bfill instead.

  Returns:
    Series/DataFrame or None

      Object with missing values filled or None if `inplace=True`.

  Examples

  Please see examples for `DataFrame.bfill()` or `Series.bfill()`.